﻿@model DiscountViewModel

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{pageTitle}}
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <label class="req-star">Name</label>
    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
        <input ng-model="@Html.Ang(m => m.Name)" type="text" @Html.AngTooltipValidationFor(model => model.Name) />
    </div>

    <div ng-hide="isCustomDiscount">
        <label>{{nopLabel}}</label>
        <div class="input-control select" data-role="input-control">
            <select kendo-drop-down-list
                    k-data-text-field="'Text'"
                    k-data-value-field="'Value'"
                    k-data-source="@Html.Ang(m => m.NopItems)"
                    k-ng-model="@Html.Ang(m =>m.NOP)"
                    k-on-change="changeApplyType()"></select>
            @* <select ng-model="@Html.Ang(m =>m.NOP)" ng-options="obj.Value as obj.Text for obj in Model.NopItems"></select>*@
        </div>
    </div>
    <label>Eligible programs</label>
    <div class="input-control radio">
        <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
            <label class="block">
                <input ng-model="@Html.Ang(m => m.IsAllProgram)" name="isAllProgram" ng-value="true" type="radio" />
                <span class="check"></span>
                All programs
            </label>
        </div>
        <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
            <label class="block">
                <input ng-model="@Html.Ang(m => m.IsAllProgram)" name="isAllProgram" ng-value="false" type="radio" />
                <span class="check"></span>
                Selected programs
            </label>
        </div>
    </div>
    <div class="input-control choosen" data-role="input-control" ng-show="@Html.Ang(m=> m.IsAllProgram)== false" @Html.AngValidationClassFor(model => model.SelectedPrograms)>
        <div @Html.AngTooltipValidationFor(model => model.SelectedPrograms)>
            <select chosen multiple
                    ng-model="Model.SelectedPrograms"
                    ng-options="obj.Value as obj.Text for obj in getProgramsList()"></select>
        </div>
    </div>

    <div ng-show="isMultiPerson">
        <label>Apply when registered for</label>
        <div class="input-control radio">
            <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.EligibleMode)" name="eligibleMode" value="0" type="radio" />
                    <span class="check"></span>
                    Same or different programs
                </label>
            </div>
            <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.EligibleMode)" name="eligibleMode" value="1" type="radio" />
                    <span class="check"></span>
                    Same program
                </label>
            </div>
        </div>
    </div>
    <label class="req-star">Amount</label>
    <div class="price-box">
        <div class="place-left one-third padding-right20">
            <div class="input-control radio default-style place-left one-half no-margin" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.AmountType)" name="amountType" value="0" type="radio" ng-init="amountType = '$'" />
                    <span class="check"></span>
                    Fixed
                </label>
            </div>
            <div class="input-control radio default-style place-left one-half padding-right20 no-margin" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.AmountType)" name="amountType" value="1" type="radio" />
                    <span class="check"></span>
                    Percent
                </label>
            </div>
        </div>
        <div class="input-control text price place-left two-third" data-role="input-control" data-sign="{{@Html.Ang(m => m.AmountType) ==0 ?'$':'%'}}" @Html.AngValidationClassFor(model => model.Amount)>
            <input ng-model="@Html.Ang(m => m.Amount)" type="text" @Html.AngTooltipValidationFor(model => model.Amount) />
        </div>
    </div>
    <div ng-hide="isCustomDiscount">
        <label class="req-star">Application order</label>

        <div class="input-control select" data-role="input-control">
            <select kendo-drop-down-list
                    k-data-text-field="'Text'"
                    k-data-value-field="'Value'"
                    k-data-source="@Html.Ang(m => m.BenefitItems)"
                    k-ng-model="@Html.Ang(m => m.SelectedBenefit)"></select>
            @*  <select ng-model="@Html.Ang(m => m.BenefitType)" ng-options="obj.Value as obj.Text for obj in Model.BenefitItems"></select>*@
        </div>
        <label>Details</label>

        <div class="input-control select" data-role="input-control">
            <select ng-model="applyType" ng-options="item.text for item in applyitems"></select>
        </div>
        <div class="discount-preview multi-person text-center">
            <div class="place-left one-third">
                <p>1st {{Model.NOP.Value > 2 ? "- " + (Model.NOP.Value - 1 + "").toOrdinal() : ""}} {{discountTypeLabel}}</p>
                <div ng-if="isMultiPerson">
                    <img ng-show="Model.NOP.Value == 2" src="~/Images/Dashboard/Icons/Discounts/Person.png" />
                    <img ng-hide="Model.NOP.Value == 2" src="~/Images/Dashboard/Icons/Discounts/People.png" />
                </div>
                <div ng-if="!isMultiPerson">
                    <img ng-show="Model.NOP.Value == 2" src="~/Images/Dashboard/Icons/Discounts/SingleEventCalendar.png" />
                    <img ng-hide="Model.NOP.Value == 2" src="~/Images/Dashboard/Icons/Discounts/FullCalendar.png" />
                </div>
                <div>
                    <strong ng-if="applyType.value != 0">FULL PRICE</strong>
                    <div ng-if="applyType.value == 0">
                        <strong ng-if="@Html.Ang(m => m.AmountType) ==0">${{@Html.Ang(m => m.Amount)}} OFF</strong>
                        <strong ng-if="@Html.Ang(m => m.AmountType) ==1">{{@Html.Ang(m => m.Amount)}}% OFF</strong>
                    </div>
                </div>
            </div>
            <div class="place-left one-third">
                <p>{{(Model.NOP.Value).toOrdinal()}} {{discountTypeLabel}}</p>
                <div ng-if="isMultiPerson">
                    <img src="~/Images/Dashboard/Icons/Discounts/Person.png" />
                </div>
                <div ng-if="!isMultiPerson">
                    <img src="~/Images/Dashboard/Icons/Discounts/SingleEventCalendar.png" />
                </div>
                <div>
                    <strong ng-if="@Html.Ang(m => m.AmountType) ==0">${{@Html.Ang(m => m.Amount)}} OFF</strong>
                    <strong ng-if="@Html.Ang(m => m.AmountType) ==1">{{@Html.Ang(m => m.Amount)}}% OFF</strong>
                </div>
            </div>
            <div class="place-left one-third">
                <p>All others</p>
                <div ng-if="isMultiPerson">
                    <img src="~/Images/Dashboard/Icons/Discounts/People.png" />
                </div>
                <div ng-if="!isMultiPerson">
                    <img src="~/Images/Dashboard/Icons/Discounts/FullCalendar.png" />
                </div>
                <div>
                    <strong ng-if="applyType.value == 1">FULL PRICE</strong>
                    <div ng-if="applyType.value != 1">
                        <strong ng-if="@Html.Ang(m => m.AmountType) ==0">${{@Html.Ang(m => m.Amount)}} OFF</strong>
                        <strong ng-if="@Html.Ang(m => m.AmountType) ==1">{{@Html.Ang(m => m.Amount)}}% OFF</strong>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
    <hr />
    <button type="button" class="success place-right large button" data-ng-click="saveDiscount()">Save</button>
    <button type="button" class="link place-left large button" ui-sref="Discounts({seasonDomain: MC.stateParams.seasonDomain})">Cancel</button>

    <div class="clearfix"></div>

</div>

